#!/usr/bin/env python

"""The setup script."""

from setuptools import setup, find_packages

with open('README.rst') as readme_file:
    readme = readme_file.read()

with open('HISTORY.rst') as history_file:
    history = history_file.read()

requirements = ['requests', 'python-gitlab', 'python-dateutil']

setup_requirements = ['pytest-runner']

test_requirements = ['pytest>=3']

setup(
    author="Lars Luehr",
    author_email='lars.luehr@ayeks.de',
    python_requires='>=3.5',
    classifiers=[
        'Development Status :: 2 - Pre-Alpha',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Natural Language :: English',
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3.6',
        'Programming Language :: Python :: 3.7',
        'Programming Language :: Python :: 3.8',
    ],
    description="Manage big GitLab groups with automation.",
    entry_points={
        'console_scripts': [
            'gitlab_usermgmt=gitlab_usermgmt.cli:main',
        ],
    },
    install_requires=requirements,
    license="MIT license",
    long_description=readme + '\n\n' + history,
    long_description_content_type="text/x-rst",
    include_package_data=True,
    keywords='gitlab_usermgmt',
    name='gitlab_usermgmt',
    packages=find_packages(include=['gitlab_usermgmt', 'gitlab_usermgmt.*']),
    setup_requires=setup_requirements,
    test_suite='tests',
    tests_require=test_requirements,
    url='https://gitlab.com/ayeks/gitlab_usermgmt',
    version='0.4.0',
    zip_safe=False,
)
